part of lunaris;

class LiveEntity extends LivingEntity {  
  LivingEntity(String spriteSrc) : super(spriteSrc);
  
  draw() {
    super.draw();
    drawHealthBar();
  }
  
  bool inProximity(LivingEntity target, num radius) {
    if (identical(this, target)) return false;
    num difX = (target.x - x).abs();
    num difY = (target.y - y).abs();
    if (difX < radius) {
      if (difY < radius) {
        return true;
      }
    }
    return false;
  }
  
  drawHealthBar() {
    context.fillStyle = 'red';
    context.fillRect(x, (y - 20), width, 10);
    context.fillStyle = 'green';
    context.fillRect(x, (y - 20), (_health/maxHealth) * width, 10);
  }
}
