part of entity;

class LivingEntity extends Entity {
  num _health = 100;
  num maxHealth = 100;
  num speed = 1.4; ///MovingEntity once mixins stable
  LivingEntity murderer;
  
  LivingEntity(String spriteSrc) : super(spriteSrc);
  
  damage(num damage, [LivingEntity attacker]) {
    _health -= damage;
    if (_health < 0) {
      if (attacker != null) murderer = attacker;
      dead = true;
      _health = 0;
    }
  }
  
  healBy(num healthIncrease) {
    _health += healthIncrease;
    capHealth();
  }
  
  healTo(num newHealth) {
    _health = newHealth;
    capHealth();
  }
  
  capHealth() {
    if (_health > maxHealth) _health = maxHealth;
  }
  
}