part of lunaris;

class Player extends LiveEntity {
  int lives = 3;
  int shieldPower = -50;
  num radius;
  
  Player() : super('player.gif');
  
  draw() {
    super.draw();
    drawShieldPowerBar();
    radius = width * (shieldPower / 20) + width / 5;
    if (radius > 0) {
      context.strokeStyle = 'white';
      context.beginPath();
      context.arc(x + width / 2, y + height / 2, radius, 0, 2*PI);
      context.stroke();
    }
    shieldPower--;
  }
  
  drawShieldPowerBar() {
    context.fillStyle = 'grey';
    context.fillRect(x, y - 30, width, 10);
    context.fillStyle = 'orange';
    if (shieldPower < 0) {
      num cooldown = shieldPower.abs() / 50;
      if (cooldown > 1) cooldown = 1;
      context.fillRect(x, y - 30, cooldown * width, 10);
    }
  }
  
  input(keys) {
    if (keys[W] || keys[UP]) {
      y -= speed;
    }
    if (keys[A] || keys[LEFT]) {
      x -= speed;
    }
    if (keys[S] || keys[DOWN]) {
      y += speed;
    }
    if (keys[D] || keys[RIGHT]) {
      x += speed;
    }
    if (keys[SPACE]) {
      if (shieldPower < -50) {
        shieldPower = 40;
      }
    }
  }
  
  damage(num damage, [LivingEntity attacker]) {
    super.damage(damage, attacker);
  }
}